VERSION 5.00
Object = "{01BA6E83-DC1A-11D0-A956-00C0F6A06F60}#1.0#0"; "RTMETERX.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7008
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   9060
   LinkTopic       =   "Form1"
   ScaleHeight     =   7008
   ScaleWidth      =   9060
   StartUpPosition =   3  'Windows Default
   Begin RTMETERXLib.RTMETERX RTMETERX3 
      Height          =   3132
      Left            =   5760
      TabIndex        =   2
      Top             =   840
      Width           =   3132
      _Version        =   65536
      _ExtentX        =   5524
      _ExtentY        =   5524
      _StockProps     =   0
      TitleString     =   "Form1.frx":0000
      TitleFont       =   "Form1.frx":002E
      TitleColor      =   "Form1.frx":005A
      TitleFontStyle  =   "Form1.frx":0080
      TitleFontSize   =   "Form1.frx":00A6
      TitlePos        =   "Form1.frx":00CC
      MeterChannelColor=   "Form1.frx":00F2
      MeterChannelTagName=   "Form1.frx":0120
   End
   Begin RTMETERXLib.RTMETERX RTMETERX2 
      Height          =   3612
      Left            =   3360
      TabIndex        =   1
      Top             =   840
      Width           =   1932
      _Version        =   65536
      _ExtentX        =   3408
      _ExtentY        =   6371
      _StockProps     =   0
      TitleString     =   "Form1.frx":013F
      TitleFont       =   "Form1.frx":016D
      TitleColor      =   "Form1.frx":0199
      TitleFontStyle  =   "Form1.frx":01BF
      TitleFontSize   =   "Form1.frx":01E5
      TitlePos        =   "Form1.frx":020B
      MeterChannelColor=   "Form1.frx":0231
      MeterChannelTagName=   "Form1.frx":025F
   End
   Begin RTMETERXLib.RTMETERX RTMETERX1 
      Height          =   2772
      Left            =   120
      TabIndex        =   0
      Top             =   840
      Width           =   2772
      _Version        =   65536
      _ExtentX        =   4890
      _ExtentY        =   4890
      _StockProps     =   0
      TitleString     =   "Form1.frx":027E
      TitleFont       =   "Form1.frx":02AC
      TitleColor      =   "Form1.frx":02D8
      TitleFontStyle  =   "Form1.frx":02FE
      TitleFontSize   =   "Form1.frx":0324
      TitlePos        =   "Form1.frx":034A
      MeterChannelColor=   "Form1.frx":0370
      MeterChannelTagName=   "Form1.frx":039E
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim rData1(2) As Double
Dim rData2 As Double
Dim rData3 As Double

Private Sub Form_Load()
 Call BuildGraph1
 Call BuildGraph2
 Call BuildGraph3
End Sub

Private Sub BuildGraph1()

    RTMETERX1.MeterType = RTMETER_NEEDLE
    RTMETERX1.MeterNumChannels = 2

    'CENTER AND DIAMETER
    RTMETERX1.MeterCenterX = 0.5
    RTMETERX1.MeterCenterY = 0.4
    RTMETERX1.MeterDiameter = 0.5

    'ARC
    RTMETERX1.MeterStartArc = 135
    RTMETERX1.MeterStopArc = 45


    'NEEDLE
    RTMETERX1.MeterNeedleStyle = NEEDLE_SHORTF

    'COLORS
    RTMETERX1.PlotBackgroundColor = RGB_BLACK
    RTMETERX1.WindowBackgroundColor = RGB_BLACK

    'SCALING
    RTMETERX1.MeterScaleMin = 2#
    RTMETERX1.MeterScaleMax = 5#

        ' starting data values
        rData1(0) = 3.5
        rData1(1) = 4#

    'ALARM ARCS
    RTMETERX1.MeterLowAlarmStop = 2.6
    RTMETERX1.MeterHighAlarmStart = 4.8

    'arc line
    RTMETERX1.MeterArcEnable = False
    RTMETERX1.MeterLineColor = RGB_WHITE


    'tick attributes
    RTMETERX1.MeterTickStep = 0.5
    RTMETERX1.MeterMinorTicks = 4
    RTMETERX1.MeterTickPosition = POS_OUTSIDE
    RTMETERX1.MeterTickLabelsPrecision = 1
    RTMETERX1.MeterTickLabelsPosition = POS_OUTSIDE
    RTMETERX1.MeterTickLabelsColor = RGB_WHITE

    'channel colors
    RTMETERX1.MeterChannelColor(0) = RGB_WHITE
    RTMETERX1.MeterChannelColor(1) = RGB_LIGHTRED

    'ALARMS
    RTMETERX1.MeterNormalAlarmColor = RGB_BLACK
    RTMETERX1.MeterAlarmArcThickness = RTMETERX1.MeterAlarmArcThickness / 4#

    'timer
    RTMETERX1.EnableInternalTimer = True


End Sub

Private Sub BuildGraph2()

    RTMETERX2.MeterType = RTMETER_ARC

    'arcs
    RTMETERX2.MeterStartArc = 270
    RTMETERX2.MeterStopArc = 90

    'title
    RTMETERX2.TitleString(TITLE1) = "Pie Meter"

    'timer
    RTMETERX2.EnableInternalTimer = True

    'size and position
    RTMETERX2.MeterDiameter = 0.6
    RTMETERX2.MeterCenterX = 0.2

    'tick marks
    RTMETERX2.MeterTickPosition = POS_OUTSIDE

    'arc colors
    RTMETERX2.MeterNormalAlarmColor = RGB_WHITE
    RTMETERX2.MeterLowAlarmColor = RGB_LIGHTBLUE
    RTMETERX2.MeterHighAlarmColor = RGB_MAGENTA

        rData2 = 5
End Sub


Private Sub BuildGraph3()

    RTMETERX3.MeterType = RTMETER_PIE
    RTMETERX3.MeterStartArc = 0
    RTMETERX3.MeterStopArc = 345

    RTMETERX3.MeterScaleMin = 0#
    RTMETERX3.MeterScaleMax = 100#
    RTMETERX3.MeterTickStep = 25#

        rData3 = 50#

    'title
    RTMETERX3.TitleString(TITLE1) = "Arc Meter"
    RTMETERX3.TitleFontSize(TITLE1) = 10
    RTMETERX3.TitleColor(TITLE1) = RGB_RED
    RTMETERX3.TitleFontStyle(TITLE1) = TEXT_BOLD Or TEXT_ITAL

    'timer
    RTMETERX3.EnableInternalTimer = True

    'diameter
    RTMETERX3.MeterDiameter = 0.6

    'channel colors
    RTMETERX3.MeterChannelColor(0) = RGB_WHITE
    RTMETERX3.MeterChannelColor(1) = RGB_CYAN

    'arc limits
    RTMETERX3.MeterLowAlarmStart = 0#
    RTMETERX3.MeterLowAlarmStop = 10#
    RTMETERX3.MeterHighAlarmStart = 90#
    RTMETERX3.MeterHighAlarmStop = 100#
End Sub



Private Sub RTMETERX1_OnInternalTimer()
   rData1(0) = rData1(0) + 0.5 * (0.5 - Rnd)
   rData1(1) = rData1(1) + 0.5 * (0.5 - Rnd)
   Call RTMETERX1.UpdateDynData(rData1(0))
End Sub

Private Sub RTMETERX2_OnInternalTimer()
 rData2 = rData2 + (0.5 - Rnd)
   Call RTMETERX2.UpdateDynData(rData2)
End Sub

Private Sub RTMETERX3_OnInternalTimer()
  rData3 = rData3 + 5 * (0.5 - Rnd)
   Call RTMETERX3.UpdateDynData(rData3)
End Sub
